View Issue Details

IDProjectCategoryView StatusLast Update
0005439GNUnetbuild processpublic2019-02-28 11:17
Reportertxt.fileAssigned ToChristian Grothoff 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
PlatformarmhfOSdebianOS Versionstretch
Product VersionSVN HEAD 
Target Version0.11.0Fixed in Version0.11.0 
Summary0005439: ./configure throws "0: command not found"
Description```
checking for glib-2.0... ./configure: line 21664: 0: command not found
./configure: line 21672: 0: command not found
```

The lines in the configure file
```
  else
     # glib-2 not found
   if 0; then
  HAVE_PBC_TRUE=
  HAVE_PBC_FALSE='#'
else
  HAVE_PBC_TRUE='#'
  HAVE_PBC_FALSE=
fi

   if 0; then
  HAVE_ABE_TRUE=
  HAVE_ABE_FALSE='#'
else
  HAVE_ABE_TRUE='#'
  HAVE_ABE_FALSE=
fi
```

The "if 0;" looks wrong. First thing is that "if 0" is always false so it can just be dropped. Second the 0 is interpreted as command and not as value.
Steps To Reproducecompile libmicrohttpd according to https://md.darmstadt.ccc.de/gnunet and then run "./configure --disable-documentation --with-microhttpd=/opt/libmicrohttpd"
TagsNo tags attached.

Activities

ng0

2018-10-21 12:21

developer   ~0013277

Thanks for your report.

You are looking at the generated 'configure' file.
When you read
https://gnunet.org/git/gnunet.git/tree/configure.ac#n526
you will see that it is not just "if 0".
However, as far as I am aware Schanzenbach's PBC and ABE are only included with --enable-experimental, so this is a non-issue.

Are you just reporting the warning-reporting here?

Christian Grothoff

2018-11-21 00:26

manager   ~0013354

This is still a minor bug, the constant [0] should have been replaced with [false] in the AM_CONDITIONAL to avoid this warning. Fixed in 1816097b7..ae68c8145

Issue History

Date Modified Username Field Change
2018-09-24 13:26 txt.file New Issue
2018-10-21 12:21 ng0 Note Added: 0013277
2018-10-21 12:22 ng0 Assigned To => ng0
2018-10-21 12:22 ng0 Status new => assigned
2018-11-21 00:26 Christian Grothoff Assigned To ng0 => Christian Grothoff
2018-11-21 00:26 Christian Grothoff Note Added: 0013354
2018-11-21 00:27 Christian Grothoff Status assigned => resolved
2018-11-21 00:27 Christian Grothoff Resolution open => fixed
2018-11-21 00:27 Christian Grothoff Fixed in Version => 0.11.0
2018-11-21 00:27 Christian Grothoff Target Version => 0.11.0
2019-02-28 11:17 Christian Grothoff Status resolved => closed